# Task Manager

A modern task manager web application built with HTML, CSS, and JavaScript, featuring user-friendly functionalities for task management, a stylish design, and real-time updates.

## Features

### Task Management
- **Add Tasks**: Create tasks with titles and descriptions.
- **Edit Tasks**: Update the details of existing tasks.
- **Mark as Complete/Incomplete**: Toggle tasks between completed and incomplete states.
- **Delete Tasks**: Remove tasks from the list.
- **Task Counter**: Displays the total number of tasks and how many are completed.

### Stylish Design
- **Responsive Layout**: The application is designed to look great on both desktop and mobile devices.
- **Animated Gradient Header**: The header features a beautiful animated gradient background for a modern look.
- **Bootstrap and Tailwind CSS**: Utilizes popular CSS frameworks for styling.
- **Custom Styling**: Includes custom styles for a polished appearance.

## Getting Started

### Prerequisites
- Make sure you have a web browser installed (Chrome, Firefox, Edge, etc.).
- Optionally, you can use a local server (e.g., XAMPP, WAMP, or VS Code Live Server extension) for a better experience.

### Installation

1. **Clone the repository:**
   ```bash
   git clone https://github.com/bhargavtz/task-manager.git
   ```
2. **Navigate to the project folder:**
   ```bash
   cd task-manager
   ```
3. **Open the `index.html` file in your preferred web browser:**
   ```bash
   start index.html
   ```
   Or you can open it manually from the file explorer.

## Usage

1. **Adding Tasks:**
   - Use the form to add tasks with titles and descriptions.
   - Click the "Add Task" button to add it to the list.

2. **Editing Tasks:**
   - Click the "Edit" button next to a task to modify its title or description.

3. **Marking as Complete/Incomplete:**
   - Use the "Complete" button to mark a task as completed. Click "Undo" to change it back to incomplete.

4. **Deleting Tasks:**
   - Click the "Delete" button next to a task to remove it from the list.

5. **Task Counter:**
   - The task counter shows the total number of tasks and how many are completed.

## Technologies Used
- **HTML**: For structuring the content.
- **CSS**: For styling the application, including Bootstrap and Tailwind CSS.
- **JavaScript**: For dynamic functionalities such as adding, editing, and deleting tasks.

## Screenshots
![Task Manager Screenshot](https://i.ibb.co/nwkvsGB/Screenshot-199.png)
> A screenshot showing the main interface of the Task Manager application.

## Animated Gradient Header
- The header features an animated gradient that transitions smoothly between colors, providing a visually appealing effect.

## Folder Structure
```
task-manager/
├── index.html        # Main HTML file
├── script.js         # JavaScript file for task functionalities
├── styles.css        # Custom CSS file for additional styling
└── README.md         # Documentation
```

## Credits
- Icons and design elements are created using [Bootstrap](https://getbootstrap.com) and [Tailwind CSS](https://tailwindcss.com).
- User @bhargavtz for the original concept and project structure.

## License
This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details.